> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Service Account Token

> Gets details about a specific service account token.

`Unary` · [`Service Accounts`](https://ona.com/docs/api-reference/generated/service-account/overview)

Gets details about a specific service account token.

Use this method to:

* View token metadata
* Check token expiration
* Monitor token usage

### Examples

* Get token details:

  ```yaml theme={null}
  serviceAccountTokenId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.ServiceAccountService/GetServiceAccountToken
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.ServiceAccountService/GetServiceAccountToken" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "serviceAccountTokenId": "<redacted>"
}'
```

```python Python theme={null}
import gitpod.v1.service_account_pb2 as service_account_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = service_account_pb2.GetServiceAccountTokenRequest(
    service_account_token_id="<redacted>",
)
response = ona.services.service_account.get_service_account_token(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { GetServiceAccountTokenRequestSchema } from "@gitpod/sdk/gitpod/v1/service_account_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(GetServiceAccountTokenRequestSchema, {
    serviceAccountTokenId: "<redacted>",
  });
  const response = await ona.services.serviceAccount.getServiceAccountToken(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.GetServiceAccountTokenRequest{
		ServiceAccountTokenId: "<redacted>",
	})
	response, err := ona.Services.ServiceAccount.GetServiceAccountToken(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{
  "serviceAccountTokenId": "<redacted>"
}
```

## Request

`gitpod.v1.GetServiceAccountTokenRequest`

| Field | Type | Required | Description |
| - | - | - | - |
| `serviceAccountTokenId` | string | No | Constraints: `string.uuid=true`. |

## Response

`gitpod.v1.GetServiceAccountTokenResponse`

| Field | Type | Required | Description |
| - | - | - | - |
| `token` | [ServiceAccountToken](#type-gitpod-v1-service-account-token) | Yes | Constraints: `required=true`. |

## Related types

> [accordion] ServiceAccountToken
>
> ServiceAccountToken represents metadata about a service account token.
> The actual token value is only returned once during creation.
>
> `gitpod.v1.ServiceAccountToken`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `id` | string | No | Constraints: `string.uuid=true`. |
> | `serviceAccountId` | string | No | Constraints: `string.uuid=true`. |
> | `description` | string | No | |
> | `creator` | [Subject](#type-gitpod-v1-subject) | No | |
> | `createdAt` | RFC 3339 timestamp | No | |
> | `expiresAt` | RFC 3339 timestamp | No | |
> | `lastUsed` | RFC 3339 timestamp | No | |

> [accordion] Subject
>
> `gitpod.v1.Subject`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `id` | string | No | id is the UUID of the subject Constraints: `ignore=1, string.uuid=true`. |
> | `principal` | [Principal](#enum-gitpod-v1-principal) | No | Principal is the principal of the subject Constraints: `enum.defined_only=true`. |

> [accordion] Principal
>
> | Value | Number | Description |
> | - | -: | - |
> | `PRINCIPAL_UNSPECIFIED` | 0 | |
> | `PRINCIPAL_ACCOUNT` | 1 | |
> | `PRINCIPAL_USER` | 2 | |
> | `PRINCIPAL_RUNNER` | 3 | |
> | `PRINCIPAL_ENVIRONMENT` | 4 | |
> | `PRINCIPAL_SERVICE_ACCOUNT` | 5 | |
> | `PRINCIPAL_RUNNER_MANAGER` | 6 | |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.